Subject: Re: bug#50676: [core-updates-frozen] Image production is broken.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 22 Sep 2021 12:37:00 +0200

Howdy!

Mathieu Othacehe <[email-masked]> skribis:

>> drops me in the GRUB rescue shell right from the start, but I think
>> that’s because the command surprisingly builds an EFI image, as can be
>> seen from the generated genimage.cfg:
>
> Yep, that would be because of the Grub stripping issue. Regarding the
> EFI, both the qcow2 and the efi-raw image types produce "hybrid" images
> that have "grub" installed in the MBR-gap and "grub-efi" in the ESP
> partition. This way, those images can be used both on legacy BIOS based
> machines as well as on more modern UEFI machines.

Oh I hadn’t realized there was this fancy hybridation thing.

> Now the image types names can be confusing, and we could rename efi-raw
> and qcow2 to pc-hybrid-raw and pc-hybrid-qcow2 respectively.

OTOH the beauty of those hybrid images is precisely that one doesn’t
need to know that it’s hybrid.  Dunno, no strong opinion!

Thanks for explaining,
Ludo’.